diff third_party/emsdk/test/test_bazel.sh @ 179:8d17f6e6e290

[ThirdParty] Added emsdk bazel rules that can be supported by bazel 9.0.0
author MrJuneJune <me@mrjunejune.com>
date Thu, 22 Jan 2026 21:23:17 -0800
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/third_party/emsdk/test/test_bazel.sh	Thu Jan 22 21:23:17 2026 -0800
@@ -0,0 +1,36 @@
+#!/usr/bin/env bash
+
+echo "test bazel"
+
+set -x
+set -e
+
+# Get the latest version number from emscripten-releases-tag.json.
+VER=$(scripts/get_release_info.py emscripten-releases-tags.json latest)
+
+# Based on the latest version number, get the commit hash for that version.
+HASH=$(scripts/get_release_info.py emscripten-releases-tags.json hash ${VER})
+
+FAILMSG="!!! scripts/update_bazel_workspace.py needs to be run !!!"
+
+# Ensure the WORKSPACE file is up to date with the latest version.
+grep ${VER} bazel/revisions.bzl || (echo ${FAILMSG} && false)
+grep ${HASH} bazel/revisions.bzl || (echo ${FAILMSG} && false)
+grep ${VER} bazel/MODULE.bazel || (echo ${FAILMSG} && false)
+
+cd bazel
+bazel build //hello-world:hello-world-wasm
+bazel build //hello-world:hello-world-wasm-simd
+
+cd test_external
+bazel build //:hello-world-wasm
+bazel build //long_command_line:long_command_line_wasm
+bazel build //:hello-embind-wasm --compilation_mode dbg # debug
+
+# Test use of the closure compiler
+bazel build //:hello-embind-wasm --compilation_mode opt # release
+# This function should not be minified if the externs file is loaded correctly.
+grep "customJSFunctionToTestClosure" bazel-bin/hello-embind-wasm/hello-embind.js
+
+cd ../test_secondary_lto_cache
+bazel build //:hello-world-wasm